Skip to main content
Deposits API

List Profiles

GET /profiles/list

Returns a list of Deposits associated to a business.

This list uses pagination.

Available Filters

This endpoint supports advanced filtering and search capabilities based on the parameters below.
The parameters should be appended to the API URL as follows:

https://api.druo.com/profiles/list?page_size=1&global_status=CREATED
Category Query Parameter Description
General uuid The profile's uuid.
General code The profile's code.
General global_status The profile's status.
General merchant_id The merchant's id
General name The profile's name.
General country The profile's country
General date_from The beginning of the creation date range in GMT time. Accepts a date (2026-07-01) or an instant (2026-07-01T10:00:00).
General date_to The end of the creation date range in GMT time. Accepts a date, which includes the whole day, or an instant (2026-07-01T10:00:00).

Response Fields (array)

uuid

string

The Profile’s UUID.

Example value:  pro_f4ac8520-3de3-40d6-9059-a5da34f34123

code

string

The Profile’s code.

Example value:  PRLX6CATF123

global_status

string

The Profile’s status.

Example value:  CREATED

Other values: CREATED, WAITLISTED, ONBOARDING, REJECTED, ACTIVE, RESTRICTED, SUSPENDED, TERMINATED, DEACTIVATED, DELETED

platform_program_id

string

The ID of the Platform Program the profile belongs to.

Example value: plp_8555fd61-d666-480f-bc95-4d1d752fb000

type

string

The type of the Profile.

Example value:  MERCHANT

name

string

The public name of the business.

Example value:  Cafe Novo

website

string

The business website.

Example value:  https://cafenovo.com

country

string

The country of the business, as an ISO 3166 alpha-3 code.

Example value:  USA

primary_category

string

The main category of the business.

Example value:  FINANCIAL_AND_INSURANCE_SERVICES

secondary_category

string

The specific category within the primary_category.

Example value:  INSURANCE

default_currency

string

The default currency of the profile, in ISO 4217 format.

Example value:  USD

environments

array

The environments in which the profile operates. Each one has its own merchant.

Example value:  

"environments": [
{
"merchant_id": "mer_03c9ecb2-5d67-47d0-88e5-0728ff2f1234",
"merchant_code": "MF3A7TJ1234",
"environment": "PRODUCTION"
}
]
creation_source

string

The creation source of the Profile.

Example value:  MERCHANT_API

date_created_gmt

string

Profile created date

Example value:  2026-11-10T21:34:23.081Z

date_updated_gmt

string

Profile updated date

Example value:  2026-11-10T21:34:23.081Z

GET /profiles/list
curl --location 'https://api.druo.com/profiles/list' \
--header 'DRUO-Version: 2021-11-22' \
--header 'Authorization: Bearer ACCESS_TOKEN'
Response
{
  "profiles": [
    {
      "uuid": "pro_f4ac8520-3de3-40d6-9059-a5da34f34123",
      "code": "PRLX6CATFD6R",
      "global_status": "CREATED",
      "platform_program_id": "plp_8555fd61-d666-480f-bc95-4d1d752fb000",
      "type": "MERCHANT",
      "name": "Cafe Novo",
      "website": "https://cafenovo.com",
      "country": "USA",
      "primary_category": "FINANCIAL_SERVICES",
      "secondary_category": "INSURANCE",
      "default_currency": "USD",
      "environments": [
        {
          "merchant_id": "mer_03c9ecb2-5d67-47d0-88e5-0728ff2f1234",
          "merchant_code": "MF3A7TJ1234",
          "environment": "PRODUCTION"
        }
      ],
      "creation_source": "MERCHANT_API",
      "date_created_gmt": "2026-11-10T21:34:23.081Z",
      "date_updated_gmt": "2026-11-10T21:34:23.081Z"
    }
  ],
  "page_info": {
    "has_next_page": true,
    "page_size": 1
  }
}